fpc_com_result.h File Reference

Communication result type definitions. More...

`#include <stdint.h>`
Include dependency graph for fpc_com_result.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef uint8_t | fpc_com_result_t

## Enumerations

enum | fpc_com_result { FPC_COM_RESULT_OK, FPC_COM_RESULT_NO_MEMORY, FPC_COM_RESULT_INVALID_ARGUMENT, FPC_COM_RESULT_NOT_IMPLEMENTED, FPC_COM_RESULT_IO_ERROR, FPC_COM_RESULT_TIMEOUT }

## Detailed Description

Communication result type definitions.

Definition in file fpc_com_result.h.

## Typedef Documentation

typedef uint8_t fpc_com_result_t

Communication result type

Definition at line 41 of file fpc_com_result.h.

## Enumeration Type Documentation

enum fpc_com_result

Communication result codes

Enumerator
FPC_COM_RESULT_OK |
FPC_COM_RESULT_NO_MEMORY |
FPC_COM_RESULT_INVALID_ARGUMENT |
FPC_COM_RESULT_NOT_IMPLEMENTED |
FPC_COM_RESULT_IO_ERROR |
FPC_COM_RESULT_TIMEOUT |

Definition at line 32 of file fpc_com_result.h.